Modified Merkle Patricia Tree The tree has a node weight of 16 It stores items with hexidecimal keys and creates a new layer when a given layer has two keys that start with the same nibble

### Hierarchy

- default

### Implements

- Puttable

## Index

### Constructors

- constructor

### Properties

- children
- links

### Methods

- add
- addEmptyChild
- exists
- get
- members
- put
- putAndUpdateChildLink
- putDetailed
- create
- fromCID

## Constructors

### constructor

- new default(links: SimpleLinks): <internal>.default

- - Defined in fs/protocol/private/mmpt.ts:32

  #### Parameters

  - ##### links: SimpleLinks

  #### Returns <internal>.default

## Properties

### children

children: {}

- Defined in fs/protocol/private/mmpt.ts:30

#### Type declaration

- ##### [name: string]: <internal>.default

### links

links: SimpleLinks

- Defined in fs/protocol/private/mmpt.ts:29

## Methods

### add

- add(name: string, value: CID): Promise<void>

- - Defined in fs/protocol/private/mmpt.ts:55

  #### Parameters

  - ##### name: string

  - ##### value: CID

  #### Returns Promise<void>

### addEmptyChild

- addEmptyChild(name: string): <internal>.default

- - Defined in fs/protocol/private/mmpt.ts:110

  #### Parameters

  - ##### name: string

  #### Returns <internal>.default

### exists

- exists(name: string): Promise<boolean>

- - Defined in fs/protocol/private/mmpt.ts:127

  #### Parameters

  - ##### name: string

  #### Returns Promise<boolean>

### get

- get(name: string): Promise<null | CID>

- - Defined in fs/protocol/private/mmpt.ts:116

  #### Parameters

  - ##### name: string

  #### Returns Promise<null | CID>

### members

- members(): Promise<Member[]>

- - Defined in fs/protocol/private/mmpt.ts:131

  #### Returns Promise<Member[]>

### put

- put(): Promise<CID>

- Implementation of Puttable.put

  - Defined in fs/protocol/private/mmpt.ts:50

  #### Returns Promise<CID>

### putAndUpdateChildLink

- putAndUpdateChildLink(name: string): Promise<void>

- - Defined in fs/protocol/private/mmpt.ts:95

  #### Parameters

  - ##### name: string

  #### Returns Promise<void>

### putDetailed

- putDetailed(): Promise<AddResult>

- Implementation of Puttable.putDetailed

  - Defined in fs/protocol/private/mmpt.ts:46

  #### Returns Promise<AddResult>

### Static create

- create(): <internal>.default

- - Defined in fs/protocol/private/mmpt.ts:37

  #### Returns <internal>.default

### Static fromCID

- fromCID(cid: CID): Promise<<internal>.default>

- - Defined in fs/protocol/private/mmpt.ts:41

  #### Parameters

  - ##### cid: CID

  #### Returns Promise<<internal>.default>

Generated using TypeDoc